Skip to content
EN

创建任务-stability-ai/stable-diffusion

方法: POST路径: /replicate/v1/predictions

https://replicate.com/stability-ai/stable-diffusion 一种潜在的文本到图像扩散模型,能够在给定任何文本输入的情况下生成照片级真实感图像

请求参数

Header 参数

text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
version
string
必需
input
object
必需
seed
integer
必需
image
string
必需
steps
integer
必需
prompt
string
必需
cfg_scale
integer
必需
scheduler
string
必需
sampler_name
string
必需
negative_prompt
string
必需
denoising_strength
number
必需
outpaint_direction
string
必需
overlay_original_img
boolean
必需
示例
{
"version"
:
"ac732df83cea7fff18b8472768c88ad041fa750ff7682a21affe81863cbe77e4"
,
"input"
:
{
"width"
:
768
,
"height"
:
768
,
"prompt"
:
"an astronaut riding a horse on mars, hd, dramatic lighting"
,
"scheduler"
:
"K_EULER"
,
"num_outputs"
:
1
,
"guidance_scale"
:
7.5
,
"num_inference_steps"
:
50
}
}

请求示例代码

Shell

bash
curl --location --request POST '/replicate/v1/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "version": "ac732df83cea7fff18b8472768c88ad041fa750ff7682a21affe81863cbe77e4",
    "input": {
      "width": 768,
      "height": 768,
      "prompt": "an astronaut riding a horse on mars, hd, dramatic lighting",
      "scheduler": "K_EULER",
      "num_outputs": 1,
      "guidance_scale": 7.5,
      "num_inference_steps": 50
    }
  }'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{}